<?php
/**
*
* jserrlog [English]
*
* @package jserrlog
* @copyright (c) 2015 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_JSERRLOG'					=> 'JS Errors Logger',
	'ACP_JSERRLOG_EXPLAIN'			=> 'Changing the settings',

	'ACP_JSERRLOG_DESCRIPTION'		=> 'JavaScript Errors Logger.',
	
	'ACP_JSERRLOG_ONOFF'			=> 'Common settings',
	'ACP_JSERRLOG_ONOFF_JSERRLOG'	=> 'Execution of extension',
	'ACP_JSERRLOG_ONOFF_JSERRLOG_EXPLAIN'	=> 'Switching ON/OFF JS Errors Logger',
	'ACP_JSERRLOG_DEBUG'			=> 'Debug mode',
	'ACP_JSERRLOG_DEBUG_EXPLAIN'			=> 'If switched ON, your will see js <i>alert</i> message if error occered. Your can test this extension: swith ON debug mode, save settings and use link <i>&lt;url of your forum/jserrlog_test&gt; or use <a href="javascript:void(0)" onclick="javascript:undefined_function(); return false;">this link</a></i>',
	'ACP_JSERRLOG_IGNORE'			=> 'Domains to ignore',
	'ACP_JSERRLOG_IGNORE_EXPLAIN'			=> 'Domains comma separated list with single quotation mark inside [] (for example: <i>[\'google.com\',\'yandex.ru\']</i>.',
	'ACP_JSERRLOG_THISONLY'			=> 'Listed domains only',
	'ACP_JSERRLOG_THISONLY_EXPLAIN'			=> 'Domains comma separated list with single quotation mark inside [] (for example: <i>[\'google.com\',\'yandex.ru\']</i>.',
	'ACP_JSERRLOG_MAXREP'			=> 'Max error messages per one page',
	'ACP_JSERRLOG_MAXREP_EXPLAIN'			=> 'From 0 to 99, 0 - no limits',
	'ACP_JSERRLOG_TRAP'				=> 'Not log errors and also pass them through to the default handler',
	'ACP_JSERRLOG_TRAP_EXPLAIN'				=> '..and see them in the browser`s error console',
	'ACP_JSERRLOG_CONSOLE'			=> 'Log errrors to browser console',
	'ACP_JSERRLOG_CONSOLE_EXPLAIN'			=> '',
	'ACP_JSERRLOG_CROSSORIGIN'		=> 'Ignore Cross Origin errors',
	'ACP_JSERRLOG_CROSSORIGIN_EXPLAIN'		=> 'Skip CrossOrigin errors. These supply no helpful debugging info, and because of JavaScript injection from a (possibly ill-behaved) browser plugin, these can`t be controlled from the app side',
));
